Scala Compiler2.12.13 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package cmd
  Definition Classes
    tools
- CommandLine
- CommandLineConfig
- CommandLineParser
- FromString
- Instance
- Interpolation
- Meta
- Opt
- Property
- PropertyMapper
- Reference
- Spec

t

scala.tools.cmd

# Reference 

###
Companion object Reference

#### trait Reference extends Spec

Mixes in the specification trait and uses the vals therein to side-effect private accumulators. From this emerges formatted help, lists of unary and binary arguments, an apply which can creates instances of the specification, and etc.

Source
  Reference.scala
See also

  Instance

Linear Supertypes
Spec, AnyRef, Any
Known Subclasses
Property
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Reference
2. Spec
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  type OptionMagic = Opt.Reference
   Definition Classes
     Reference → Spec
2.  class SpecCommandLine extends CommandLine
3.  abstract type ThisCommandLine <: CommandLine

### Abstract Value Members

1.  abstract def creator(args: List[String]): ThisCommandLine
   Attributes
     protected
2.  abstract def programInfo: Info
   Definition Classes
     Spec
3.  abstract def referenceSpec: Reference
   Definition Classes
     Spec

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Reference to any2stringadd[Reference] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Reference, B)
   Implicit
     This member is added by an implicit conversion from Reference to ArrowAssoc[Reference] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def apply(args: String*): ThisCommandLine
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
9.  def ensuring(cond: (Reference) ⇒ Boolean, msg: ⇒ Any): Reference
   Implicit
     This member is added by an implicit conversion from Reference to Ensuring[Reference] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (Reference) ⇒ Boolean): Reference
    Implicit
      This member is added by an implicit conversion from Reference to Ensuring[Reference] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: ⇒ Any): Reference
    Implicit
      This member is added by an implicit conversion from Reference to Ensuring[Reference] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): Reference
    Implicit
      This member is added by an implicit conversion from Reference to Ensuring[Reference] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
15.  def expandArg(arg: String): List[String]
16.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Reference to StringFormat[Reference] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  def heading(str: ⇒ String): Unit
    Attributes
      protected
    Definition Classes
      Spec
21.  def help(str: ⇒ String): Unit
    Attributes
      protected
    Definition Classes
      Reference → Spec
22.  def helpMsg: String
23.  def isBinaryOption(s: String): Boolean
24.  def isExpandOption(s: String): Boolean
25.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
26.  def isUnaryOption(s: String): Boolean
27.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
28.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
29.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
30.  implicit def optionMagicAdditions(name: String): Opt.Reference
    Attributes
      protected
    Definition Classes
      Reference → Spec
31.  lazy val options: Accumulators
32.  def propertyArgs: List[String]
33.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
34.  def toString(): String
    Definition Classes
      AnyRef → Any
35.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
36.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
37.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
38.  def →[B](y: B): (Reference, B)
    Implicit
      This member is added by an implicit conversion from Reference to ArrowAssoc[Reference] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Spec

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Reference to any2stringadd[Reference]

### Inherited by implicit conversion StringFormat from Reference to StringFormat[Reference]

### Inherited by implicit conversion Ensuring from Reference to Ensuring[Reference]

### Inherited by implicit conversion ArrowAssoc from Reference to ArrowAssoc[Reference]

### Ungrouped